Admin APIadmin-api reference
Register a new external OpenAPI spec (admin only)
Authorization
sessionAuth next-auth.session-token<token>
NextAuth.js v5 JWT session cookie. The admin console uses session-based auth; service-to-service callers should use a future API-key scheme.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/openapi/specs" \ -H "Content-Type: application/json" \ -d '{ "slug": "string", "name": "string", "source": "http://example.com" }'Empty
{
"success": false,
"error": "string",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "string",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "string",
"code": "UNAUTHORIZED"
}